Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » General (non-technical) » Eclipse Foundation » SDK refuses to start with latest GTK
SDK refuses to start with latest GTK [message #34370] Thu, 04 May 2006 12:59 Go to next message
Eclipse User
Originally posted by: am_alhindawi.hotmail.com

Hi all,
I have recently upgraded my suse installation to factory (latest), and now
eclipse is refusing to start up. Below is the .metadata/.log file. I am on
Suse linux 10.1 factory with Java mustang beta 82.

!SESSION 2006-05-04 12:58:49.147
-----------------------------------------------
eclipse.buildId=N20060504-0010
java.fullversion=GNU libgcj 4.1.0 (SUSE Linux)
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB
Command-line arguments: -os linux -ws gtk -arch x86

!ENTRY org.eclipse.osgi 4 0 2006-05-04 12:58:52.082
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError:
/home/darkprophet/eclipse/configuration/org.eclipse.osgi/bun dles/101/1/.cp/libswt-pi-gtk-3232.so:
/home/darkprophet/eclipse/configuration/org.eclipse.osgi/bun dles/101/1/.cp/libswt-pi-gtk-3232.so:
wrong ELF class: ELFCLASS32
at java.lang.Runtime._load (libgcj.so.7)
at java.lang.Runtime.loadLibrary (libgcj.so.7)
at java.lang.System.loadLibrary (libgcj.so.7)
at org.eclipse.swt.internal.Library.loadLibrary (Library.java:124)
at org.eclipse.swt.internal.gtk.OS.<clinit> (OS.java:27)
at java.lang.Class.initializeClass (libgcj.so.7)
at org.eclipse.swt.internal.Converter.wcsToMbcs (Converter.java:63)
at org.eclipse.swt.internal.Converter.wcsToMbcs (Converter.java:54)
at org.eclipse.swt.widgets.Display.<clinit> (Display.java:126)
at java.lang.Class.initializeClass (libgcj.so.7)
at org.eclipse.ui.internal.Workbench.createDisplay (Workbench.java:431)
at org.eclipse.ui.PlatformUI.createDisplay (PlatformUI.java:155)
at org.eclipse.ui.internal.ide.IDEApplication.createDisplay
(IDEApplication.java:122)
at org.eclipse.ui.internal.ide.IDEApplication.run
(IDEApplication.java:75)
at org.eclipse.core.internal.runtime.PlatformActivator$1.run
(PlatformActivator.java:78)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication
(EclipseAppLauncher.java:92)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start
(EclipseAppLauncher.java:68)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run
(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run
(EclipseStarter.java:177)
at java.lang.reflect.Method.invoke (libgcj.so.7)
at org.eclipse.core.launcher.Main.invokeFramework (Main.java:336)
at org.eclipse.core.launcher.Main.basicRun (Main.java:281)
at org.eclipse.core.launcher.Main.run (Main.java:978)
at org.eclipse.core.launcher.Main.main (Main.java:952)

!ENTRY org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
!MESSAGE The following is a complete list of bundles which are not
resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
!MESSAGE Bundle
update@plugins/org.eclipse.jdt.junit4.runtime_1.0.0.N20060504-0010.jar
[15] was not resolved.
!SUBENTRY 2 org.eclipse.jdt.junit4.runtime 2 0 2006-05-04 12:58:52.233
!MESSAGE Missing required bundle org.junit4_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
!MESSAGE Bundle
update@plugins/org.eclipse.jdt.apt.core_3.2.0.N20060504-0010.jar [40] was
not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
!MESSAGE Bundle
update@plugins/org.eclipse.jdt.apt.ui_3.2.0.N20060504-0010.jar [77] was
not resolved.
!SUBENTRY 2 org.eclipse.jdt.apt.ui 2 0 2006-05-04 12:58:52.233
!MESSAGE Missing required bundle org.eclipse.jdt.apt.core_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.234
!MESSAGE Bundle update@plugins/org.junit4_1.0.0/ [99] was not resolved.

Any help is appreciated.
Re: SDK refuses to start with latest GTK [message #34403 is a reply to message #34370] Thu, 04 May 2006 15:34 Go to previous messageGo to next message
Eclipse User
Originally posted by: john.eclipsefaq.org

Ahmed, please enter a bug report against Platform SWT.

https://bugs.eclipse.org/bugs/enter_bug.cgi
--

Ahmed Al-Hindwi wrote:
> Hi all,
> I have recently upgraded my suse installation to factory (latest), and
> now eclipse is refusing to start up. Below is the .metadata/.log file. I
> am on Suse linux 10.1 factory with Java mustang beta 82.
>
> !SESSION 2006-05-04 12:58:49.147
> -----------------------------------------------
> eclipse.buildId=N20060504-0010
> java.fullversion=GNU libgcj 4.1.0 (SUSE Linux)
> BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_GB
> Command-line arguments: -os linux -ws gtk -arch x86
>
> !ENTRY org.eclipse.osgi 4 0 2006-05-04 12:58:52.082
> !MESSAGE Application error
> !STACK 1
> java.lang.UnsatisfiedLinkError:
> /home/darkprophet/eclipse/configuration/org.eclipse.osgi/bun dles/101/1/.cp/libswt-pi-gtk-3232.so:
> /home/darkprophet/eclipse/configuration/org.eclipse.osgi/bun dles/101/1/.cp/libswt-pi-gtk-3232.so:
> wrong ELF class: ELFCLASS32
> at java.lang.Runtime._load (libgcj.so.7)
> at java.lang.Runtime.loadLibrary (libgcj.so.7)
> at java.lang.System.loadLibrary (libgcj.so.7)
> at org.eclipse.swt.internal.Library.loadLibrary (Library.java:124)
> at org.eclipse.swt.internal.gtk.OS.<clinit> (OS.java:27)
> at java.lang.Class.initializeClass (libgcj.so.7)
> at org.eclipse.swt.internal.Converter.wcsToMbcs (Converter.java:63)
> at org.eclipse.swt.internal.Converter.wcsToMbcs (Converter.java:54)
> at org.eclipse.swt.widgets.Display.<clinit> (Display.java:126)
> at java.lang.Class.initializeClass (libgcj.so.7)
> at org.eclipse.ui.internal.Workbench.createDisplay (Workbench.java:431)
> at org.eclipse.ui.PlatformUI.createDisplay (PlatformUI.java:155)
> at org.eclipse.ui.internal.ide.IDEApplication.createDisplay
> (IDEApplication.java:122)
> at org.eclipse.ui.internal.ide.IDEApplication.run
> (IDEApplication.java:75)
> at org.eclipse.core.internal.runtime.PlatformActivator$1.run
> (PlatformActivator.java:78)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication
> (EclipseAppLauncher.java:92)
> at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start
> (EclipseAppLauncher.java:68)
> at org.eclipse.core.runtime.adaptor.EclipseStarter.run
> (EclipseStarter.java:400)
> at org.eclipse.core.runtime.adaptor.EclipseStarter.run
> (EclipseStarter.java:177)
> at java.lang.reflect.Method.invoke (libgcj.so.7)
> at org.eclipse.core.launcher.Main.invokeFramework (Main.java:336)
> at org.eclipse.core.launcher.Main.basicRun (Main.java:281)
> at org.eclipse.core.launcher.Main.run (Main.java:978)
> at org.eclipse.core.launcher.Main.main (Main.java:952)
>
> !ENTRY org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
> !MESSAGE Bundle
> update@plugins/org.eclipse.jdt.junit4.runtime_1.0.0.N20060504-0010.jar
> [15] was not resolved.
> !SUBENTRY 2 org.eclipse.jdt.junit4.runtime 2 0 2006-05-04 12:58:52.233
> !MESSAGE Missing required bundle org.junit4_0.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
> !MESSAGE Bundle
> update@plugins/org.eclipse.jdt.apt.core_3.2.0.N20060504-0010.jar [40]
> was not resolved.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.233
> !MESSAGE Bundle
> update@plugins/org.eclipse.jdt.apt.ui_3.2.0.N20060504-0010.jar [77] was
> not resolved.
> !SUBENTRY 2 org.eclipse.jdt.apt.ui 2 0 2006-05-04 12:58:52.233
> !MESSAGE Missing required bundle org.eclipse.jdt.apt.core_0.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2006-05-04 12:58:52.234
> !MESSAGE Bundle update@plugins/org.junit4_1.0.0/ [99] was not resolved.
>
> Any help is appreciated.
>
Re: SDK refuses to start with latest GTK [message #34437 is a reply to message #34370] Thu, 04 May 2006 15:35 Go to previous message
Olivier Thomann is currently offline Olivier Thomann
Messages: 518
Registered: July 2009
Senior Member
Ahmed Al-Hindwi a écrit :
> Hi all,
> I have recently upgraded my suse installation to factory (latest), and
> now eclipse is refusing to start up. Below is the .metadata/.log file. I
> am on Suse linux 10.1 factory with Java mustang beta 82.
Open a bug report against Platform/SWT with your steps to reproduce.
Thanks,
--
Olivier
Previous Topic:[ANN]:Eclipse and Google Summer of Code: an opportunity for students to do cool stuffs this summer !
Next Topic:Help in migrating NetBeans to Eclipse!!!
Goto Forum:
  


Current Time: Wed Oct 01 18:26:58 GMT 2014

Powered by FUDForum. Page generated in 0.02037 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software